Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.worklist
Interface WorklistAddIn

public interface WorklistAddIn

Interface that defines a worklist addin. Objects implementing this interface are instantiated by the worklist when handling a "callAddIn" request from the server. Such requests are typically raised by the execution of a "send XML to client" action, passing an XML document of the call addin type.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `addInCall(WorklistPane worklist, java.lang.Object[] args)` Process a client-side addin call, using the supplied arguments.

Method Detail

### addInCall

    public java.lang.String addInCall(WorklistPane worklist,
                                      java.lang.Object[] args)
                               throws WorkflowException

  Process a client-side addin call, using the supplied arguments. The arguments are generated by the server. The Worklist's addin handler uses this interface to load a WorklistAddIn instance, against which it invokes this method.

  Parameters:
    `worklist` - The worklist object that is handling the "callAddIn" request.
    `args` - A list of arguments extracted from the `parm` elements of the XML request that initiated the request.
  Returns:
    An addin-specific return value, which may be in XML format. In all cases, the worklist's addin handler incorporates the value into an XML document of type call addin response, so it is necessary that the following character literals be represented by the correct escape sequences as follows:

    Character | Escape Sequence
    --- | ---
    < | `&lt;`
    > | `&gt;`
    & | `&amp;`
    ' | `&apos;`
    " | `&quot;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)